%global momorel 6
%global date 20080104
%global svndate 04.01.08
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: The KDE Cookbook
Name: krecipes
Version: 1.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://krecipes.sourceforge.net/
Group: Applications/Productivity
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{svndate}-desktop.patch
Patch1: krecipes-04.01.08-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: desktop-file-utils
BuildPreReq: libacl-devel
BuildPreReq: libtool
BuildPreReq: mysql-devel
BuildPreReq: postgresql-devel
BuildPreReq: sqlite-devel

%description
Krecipes is a program that lets you to manage your recipes, create
shopping lists, choose a recipe based on available ingredients and plan
your menu/diet in advance.

%prep
%setup -q -n %{name}-%{svndate}

%patch0 -p1 -b .desktop~

make -f admin/Makefile.common cvs

%patch1 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/krecipes.png %{buildroot}%{_datadir}/pixmaps/krecipes.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category=X-KDE-More \
  --add-category=Utility \
  %{buildroot}%{_datadir}/applnk/Utilities/krecipes.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/krecipes
%{_datadir}/applications/kde/krecipes.desktop
%{_datadir}/apps/krecipes
%{_datadir}/doc/HTML/*/krecipes
%{_datadir}/icons/*/*/*/krecipes.png
%{_datadir}/icons/*/*/*/krecipes_file.png
%{_datadir}/locale/*/LC_MESSAGES/krecipes.mo
%{_datadir}/mimelnk/application/x-krecipes-*.desktop
%{_datadir}/pixmaps/krecipes.png

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20080104.6m)
- revise %%{_docdir}/HTML/*/krecipes/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20080104.5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.20080104.4m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-0.20080104.3m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20080104.2m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Fri Jan  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20080104.1m)
- update to 20080104 svn snapshot
- License: GPLv2

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.1m)
- initial package for Momonga Linux
